Bug 59156 - IDE reset sometimes fails
Summary: IDE reset sometimes fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: eCos bugs internal list
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-31 21:35 UTC by George Thomas
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-31 21:35:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Thomas 2002-01-31 21:35:36 UTC
Description of Problem:

On some hardware, the routine 'ide_reset()' simply tanks.

Version-Release number of selected component (if applicable):


How Reproducible:
< 100% - it fails on only one machine I have, but not on any others.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 George Thomas 2002-04-29 22:09:10 UTC
It seems that some PC's generate an NMI when the IDE reset line is asserted :-(
The fix is to have this suppressed, at least when IDE reset is happaning.


Note You need to log in before you can comment on or make changes to this bug.